/*
 *  Copyright 2007-2008, Plutext Pty Ltd.
 *   
 *  This file is part of docx4j.

    docx4j is licensed under the Apache License, Version 2.0 (the "License"); 
    you may not use this file except in compliance with the License. 

    You may obtain a copy of the License at 

        http://www.apache.org/licenses/LICENSE-2.0 

    Unless required by applicable law or agreed to in writing, software 
    distributed under the License is distributed on an "AS IS" BASIS, 
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
    See the License for the specific language governing permissions and 
    limitations under the License.

 */

package org.docx4j.openpackaging.contenttype;

/**
 * Represents a MIME ContentType value.
 * 
 * @author Julien Chable
 * @version 0.1
 * 
 * @see http://www.ietf.org/rfc/rfc2045.txt
 */
public final class ContentType {

	private String contentType;

	public ContentType(String contentType) {
		this.contentType = contentType;
	}

	@Override
	public final String toString() {
		return this.contentType;
	}

	@Override
	public boolean equals(Object obj) {
		return (!(obj instanceof ContentType))
				|| (this.contentType.equals(obj.toString()));
	}

	@Override
	public int hashCode() {
		return this.contentType.hashCode();
	}
}